Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.ajp
Class Ajp13Request

    java.lang.Object
      org.eclipse.jetty.server.Request
          org.eclipse.jetty.ajp.Ajp13Request

All Implemented Interfaces:
  HttpServletRequest, ServletRequest

    public class Ajp13Request

extends Request

Field Summary
`protected java.lang.String` | `_remoteAddr`
`protected java.lang.String` | `_remoteHost`
`protected java.lang.String` | `_remoteUser`
`protected boolean` | `_sslSecure`

Fields inherited from class org.eclipse.jetty.server.Request
`__MULTIPART_CONFIG_ELEMENT, _async, _connection`

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`Ajp13Request()`
`Ajp13Request(HttpConnection connection)`

Method Summary
`java.lang.String` | `getRemoteAddr()` Returns the Internet Protocol (IP) address of the client or last proxy that sent the request.
`java.lang.String` | `getRemoteHost()` Returns the fully qualified name of the client or the last proxy that sent the request.
`java.lang.String` | `getRemoteUser()` Returns the login of the user making this request, if the user has been authenticated, or `null` if the user has not been authenticated.
`boolean` | `isSslSecure()`
`protected void` | `recycle()`
`void` | `setRemoteAddr(java.lang.String remoteAddr)`
`void` | `setRemoteHost(java.lang.String remoteHost)`
`void` | `setRemoteUser(java.lang.String remoteUser)`
`void` | `setSslSecure(boolean sslSecure)`

Methods inherited from class org.eclipse.jetty.server.Request
`addEventListener, authenticate, extractParameters, getAsyncContext, getAsyncContinuation, getAttribute, getAttributeNames, getAttributes, getAuthentication, getAuthType, getCharacterEncoding, getConnection, getContentLength, getContentRead, getContentType, getContext, getContextPath, getCookies, getDateHeader, getDispatcherType, getDispatchTime, getHeader, getHeaderNames, getHeaders, getInputState, getInputStream, getIntHeader, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getMethod, getParameter, getParameterMap, getParameterNames, getParameters, getParameterValues, getPart, getParts, getPathInfo, getPathTranslated, getProtocol, getQueryEncoding, getQueryString, getReader, getRealPath, getRemotePort, getRequest, getRequestDispatcher, getRequestedSessionId, getRequestURI, getRequestURL, getResolvedUserIdentity, getResponse, getRootURL, getScheme, getServerName, getServerPort, getServletContext, getServletName, getServletPath, getServletResponse, getSession, getSession, getSessionManager, getTimeStamp, getTimeStampBuffer, getUri, getUserIdentity, getUserIdentityScope, getUserPrincipal, isAsyncStarted, isAsyncSupported, isHandled, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isSecure, isUserInRole, login, logout, mergeQueryString, recoverNewSession, removeAttribute, removeEventListener, saveNewSession, setAsyncSupported, setAttribute, setAttributes, setAuthentication, setCharacterEncoding, setCharacterEncodingUnchecked, setConnection, setContentType, setContext, setContextPath, setCookies, setDispatcherType, setDispatchTime, setHandled, setMethod, setParameters, setPathInfo, setProtocol, setQueryEncoding, setQueryString, setRequestedSessionId, setRequestedSessionIdFromCookie, setRequestURI, setScheme, setServerName, setServerPort, setServletPath, setSession, setSessionManager, setTimeStamp, setUri, setUserIdentityScope, startAsync, startAsync, takeNewContext, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _remoteAddr

    protected java.lang.String _remoteAddr

### _remoteHost

    protected java.lang.String _remoteHost

### _remoteUser

    protected java.lang.String _remoteUser

### _sslSecure

    protected boolean _sslSecure

Constructor Detail

### Ajp13Request

    public Ajp13Request(HttpConnection connection)

### Ajp13Request

    public Ajp13Request()

Method Detail

### setRemoteUser

    public void setRemoteUser(java.lang.String remoteUser)

### getRemoteUser

    public java.lang.String getRemoteUser()

  Description copied from interface: `HttpServletRequest`
  Returns the login of the user making this request, if the user has been authenticated, or `null` if the user has not been authenticated. Whether the user name is sent with each subsequent request depends on the browser and type of authentication. Same as the value of the CGI variable REMOTE_USER.

  Specified by:
    `getRemoteUser` in interface `HttpServletRequest`
  Overrides:
    `getRemoteUser` in class `Request`
  Returns:
    a `String` specifying the login of the user making this request, or `null` if the user login is not known

### getRemoteAddr

    public java.lang.String getRemoteAddr()

  Description copied from interface: `ServletRequest`
  Returns the Internet Protocol (IP) address of the client or last proxy that sent the request. For HTTP servlets, same as the value of the CGI variable `REMOTE_ADDR`.

  Specified by:
    `getRemoteAddr` in interface `ServletRequest`
  Overrides:
    `getRemoteAddr` in class `Request`
  Returns:
    a `String` containing the IP address of the client that sent the request

### setRemoteAddr

    public void setRemoteAddr(java.lang.String remoteAddr)

  Overrides:
    `setRemoteAddr` in class `Request`
  Parameters:
    `remoteAddr` - The address to set.

### getRemoteHost

    public java.lang.String getRemoteHost()

  Description copied from interface: `ServletRequest`
  Returns the fully qualified name of the client or the last proxy that sent the request. If the engine cannot or chooses not to resolve the hostname (to improve performance), this method returns the dotted-string form of the IP address. For HTTP servlets, same as the value of the CGI variable `REMOTE_HOST`.

  Specified by:
    `getRemoteHost` in interface `ServletRequest`
  Overrides:
    `getRemoteHost` in class `Request`
  Returns:
    a `String` containing the fully qualified name of the client

### setRemoteHost

    public void setRemoteHost(java.lang.String remoteHost)

  Overrides:
    `setRemoteHost` in class `Request`
  Parameters:
    `remoteHost` - The host to set.

### isSslSecure

    public boolean isSslSecure()

### setSslSecure

    public void setSslSecure(boolean sslSecure)

### recycle

    protected void recycle()

  Overrides:
    `recycle` in class `Request`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.